# \Thelia\Core\DependencyInjection\LoaderXmlFileLoader

## Summary

Methods
Properties
Constants
load()
validateSchema()
supports()
No public properties found
No constants found
parseCommands()
parseParameters()
parseLoops()
parseForms()
parseFilters()
parseTemplateDirectives()
parseDefinitions()
parseDefinition()
parseFile()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/DependencyInjection/Loader/XmlFileLoader.php
Package
  \Default
Class hierarchy
  \Symfony\Component\DependencyInjection\Loader\FileLoader
  \Thelia\Core\DependencyInjection\Loader\XmlFileLoader

## Tags

None found

## Methods

### load()

    load(mixed $file, string $type)

Loads an XML file.

#### Parameters

mixed | $file | The resource
string | $type | The resource type

#

## Tags

None found

### validateSchema()

    validateSchema(\DOMDocument $dom) : Boolean

Validates a documents XML schema.

#### Parameters

\DOMDocument | $dom |

#### Throws

\Symfony\Component\DependencyInjection\Exception\RuntimeException

  When extension references a non-existent XSD file

#### Returns

Boolean

#

## Tags

None found

### supports()

    supports(mixed $resource, string $type) : Boolean

Returns true if this class supports the given resource.

#### Parameters

mixed | $resource | A resource
string | $type | The resource type

#### Returns

Boolean —

true if this class supports the given resource, false otherwise

#

## Tags

None found

### parseCommands()

    parseCommands(\Symfony\Component\DependencyInjection\SimpleXMLElement $xml)

#### Parameters

\Symfony\Component\DependencyInjection\SimpleXMLElement | $xml |

#

## Tags

None found

### parseParameters()

    parseParameters(\Symfony\Component\DependencyInjection\SimpleXMLElement $xml)

Parses parameters

#### Parameters

\Symfony\Component\DependencyInjection\SimpleXMLElement | $xml |

#

## Tags

None found

### parseLoops()

    parseLoops(\Symfony\Component\DependencyInjection\SimpleXMLElement $xml)

parse Loops property

#### Parameters

\Symfony\Component\DependencyInjection\SimpleXMLElement | $xml |

#

## Tags

None found

### parseForms()

    parseForms(\Symfony\Component\DependencyInjection\SimpleXMLElement $xml)

#### Parameters

\Symfony\Component\DependencyInjection\SimpleXMLElement | $xml |

#

## Tags

None found

### parseFilters()

    parseFilters(\Symfony\Component\DependencyInjection\SimpleXMLElement $xml)

parse Filters property

#### Parameters

\Symfony\Component\DependencyInjection\SimpleXMLElement | $xml |

#

## Tags

None found

### parseTemplateDirectives()

    parseTemplateDirectives(\Symfony\Component\DependencyInjection\SimpleXMLElement $xml)

parse BaseParams property

#### Parameters

\Symfony\Component\DependencyInjection\SimpleXMLElement | $xml |

#

## Tags

None found

### parseDefinitions()

    parseDefinitions(\Symfony\Component\DependencyInjection\SimpleXMLElement $xml, string $file)

Parses multiple definitions

#### Parameters

\Symfony\Component\DependencyInjection\SimpleXMLElement | $xml |
string | $file |

#

## Tags

None found

### parseDefinition()

    parseDefinition(string $id, \Symfony\Component\DependencyInjection\SimpleXMLElement $service, string $file)

Parses an individual Definition

#### Parameters

string | $id |
\Symfony\Component\DependencyInjection\SimpleXMLElement | $service |
string | $file |

#

## Tags

None found

### parseFile()

    parseFile(string $file) : \Symfony\Component\DependencyInjection\SimpleXMLElement

Parses a XML file.

#### Parameters

string | $file | Path to a file

#### Throws

\Symfony\Component\DependencyInjection\Exception\InvalidArgumentException

  When loading of XML file returns error

#### Returns

\Symfony\Component\DependencyInjection\SimpleXMLElement

#

## Tags

None found

### XmlFileLoader.php